Subject: Re: [PATCH v4 net-next 7/8] hsr: Use a single struct for self_node.

From: Kurt Kanzenbach <[email-masked]>
Date: Sat, 26 Nov 2022 10:55:45 +0100

On Fri Nov 25 2022, Sebastian Andrzej Siewior wrote:
> self_node_db is a list_head with one entry of struct hsr_node. The
> purpose is to hold the two MAC addresses of the node itself.
> It is convenient to recycle the structure. However having a list_head
> and fetching always the first entry is not really optimal.
>
> Created a new data strucure contaning the two MAC addresses named
> hsr_self_node. Access that structure like an RCU protected pointer so
> it can be replaced on the fly without blocking the reader.
>
> Signed-off-by: Sebastian Andrzej Siewior <[email-masked]>

Looks better. Thanks.

Reviewed-by: Kurt Kanzenbach <[email-masked]>